summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/gqradio/README4
-rw-r--r--audio/gqradio/doinst.sh4
-rw-r--r--audio/gqradio/gqradio.SlackBuild82
-rw-r--r--audio/gqradio/gqradio.info10
-rw-r--r--audio/gqradio/slack-desc19
5 files changed, 119 insertions, 0 deletions
diff --git a/audio/gqradio/README b/audio/gqradio/README
new file mode 100644
index 0000000000..4e130c41f7
--- /dev/null
+++ b/audio/gqradio/README
@@ -0,0 +1,4 @@
+GQradio interfaces with radio cards through the video4linux, or the
+FreeBSD bktr APIs. Stations can be tuned manually, set to presets,
+or auto seek can find the next available frequency. The application
+supports theming (skins), and includes a built-in skin editor.
diff --git a/audio/gqradio/doinst.sh b/audio/gqradio/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/audio/gqradio/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/audio/gqradio/gqradio.SlackBuild b/audio/gqradio/gqradio.SlackBuild
new file mode 100644
index 0000000000..b9cb906876
--- /dev/null
+++ b/audio/gqradio/gqradio.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for GQradio
+
+# Written by Zbigniew Baniewski, zb@ispid.com.pl
+
+PRGNAM=gqradio
+VERSION=1.9.2
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM-$VERSION/* $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -rf $PKG/usr/share/doc
+cp -a AUTHORS NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/gqradio/gqradio.info b/audio/gqradio/gqradio.info
new file mode 100644
index 0000000000..c5ce26af63
--- /dev/null
+++ b/audio/gqradio/gqradio.info
@@ -0,0 +1,10 @@
+PRGNAM="gqradio"
+VERSION="1.9.2"
+HOMEPAGE="http://gqmpeg.sourceforge.net/radio.html"
+DOWNLOAD="http://downloads.sourceforge.net/gqmpeg/gqradio-1.9.2.tar.gz"
+MD5SUM="10fded1c080cadd1b260a592772bcbb6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="zb@ispid.com.pl"
+APPROVED="Niels Horn"
diff --git a/audio/gqradio/slack-desc b/audio/gqradio/slack-desc
new file mode 100644
index 0000000000..e34b84d27b
--- /dev/null
+++ b/audio/gqradio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gqradio: gqradio (a radio tuner application)
+gqradio:
+gqradio: GQradio interfaces with radio cards through the video4linux, or the
+gqradio: FreeBSD bktr APIs. Stations can be tuned manually, set to presets, or
+gqradio: auto seek can find the next available frequency. The application
+gqradio: supports theming (skins), and includes a built-in skin editor.
+gqradio:
+gqradio: http://gqmpeg.sourceforge.net/radio.html
+gqradio:
+gqradio:
+gqradio: